Name:           libticonv3
BuildRequires:  pkgconfig dos2unix glib2-devel
Summary:        Communicate with TI calculators
Version:        1.1.0
Release:        %mkrel 1
Group:          System/Libraries
License:        GNU General Public License (GPL)
URL:            http://lpg.ticalc.org/prj_tilp
Source:         libticonv-%{version}.tar.bz2
Patch0:         libticonv-foreign_package.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%define doc_files ChangeLog AUTHORS README LOGO
%description
Communicate with TI calculators.

%package devel
Summary:        Development package for libticalcs library
Group:          Development/C
Requires:       %{name} = %{version} glib2-devel

%description devel
This package contains the header files and static libraries needed to
develop applications with libticalcs.



%prep
%setup -q -n libticonv-%{version}
for i in %{doc_files}; do
    dos2unix $i
    iconv -f iso-8859-1 -t UTF-8 -o xxx $i && mv xxx $i
done

%build
autoreconf -fi
export CFLAGS="%{optflags}" 
./configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
make

%install
%makeinstall

%post
ldconfig

%postun
ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc %{doc_files}
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/tilp2
%{_libdir}/*.*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/ticonv.pc



%changelog
* Mon Jan 26 2009 Zombie Ryushu <ryushu@mandriva.org> 1.1.0-1mdv2009.1
+ Revision: 333623
- New Version

* Mon Jan 26 2009 Zombie Ryushu <ryushu@mandriva.org> 1.0.5-1mdv2009.1
+ Revision: 333615
- New Version
- New Version
- import libticonv3


* Thu Oct 25 2007 pth@suse.de
- Initial package
